For the complete documentation index, see llms.txt. This page is also available as Markdown.

MCP server

The Runway Model Context Protocol (MCP) server provides AI agents with access to your Runway instance. Once connected, agents can retrieve information about your apps and releases, make updates to releases, interact with builds and buckets in Build Distro, manage your team and organization in Runway, and more. View the full list of available tools here.

Getting started

Authentication

Runway offers two authentication options for our MCP:

  • API key

    • The Runway MCP server uses the same API key authentication as Runway's REST API. Access to the different MCP tools that are available is limited by an API key's scopes, similar to how REST API endpoints are limited. For detailed information about creating and managing API keys, including scoping and permissions, see the API - Overview article.

    • You'll pass your API key as a bearer authentication header:

    Authorization: Bearer <YOUR_API_KEY>
    • Headers are typically defined among the arguments you set in your MCP server configuration (see below).

  • OAuth

    • Connect via OAuth, which is a secure way for your application to access Runway's MCP without having to store API keys. For teams using Claude, the easiest way to do this is the official Runway Connector, now live in Claude's directory.

Configuration

Runway's MCP server is located at https://mcp.runway.team and it supports streamable HTTP transport. SSE transport may also be available upon request, but it is being deprecated by most agents.

Different agents will require somewhat different configuration, but we've included a few examples below:

Add the following to your claude_desktop_config.json file.

{
  "mcpServers": {
    "runway": {
      "command": "npx",
      "args": [
        "mcp-remote",
        "https://mcp.runway.team",
       // Only for authentication via API Key:
        "--header",
        "Authorization: Bearer <YOUR_API_KEY>"
      ],
      "env": {}
    }
  }
}

Add or edit the .cursor/mcp.json file in your project or ~/.cursor/mcp.json in your home directory. Note that it's important to pass the Authorization header argument exactly as shown below, without a space after the colon.

{
  "mcpServers": {
    "runway": {
      "command": "npx",
      "args": [
        "mcp-remote",
        "https://mcp.runway.team",
       // Only for authentication via API Key:
        "--header",
        "Authorization:${AUTH_HEADER}"
      ],
      "env": {
        "AUTH_HEADER": "Bearer <YOUR_API_KEY>"
      }
    }
  }
}

Add or edit the .vscode/mcp.json file in your workspace.

Open the Agent Panel's Settings view and click 'Add Custom Server', or add an entry to the context_servers key in your settings.json config file. [Zed docs]

Example usage

You can get an overview of the different Runway MCP tools available by asking your agent:

You can ask for the details of any release, without necessarily knowing or specifying the exact version number:

You can make changes to progress any release, e.g. updating regression testing status:

Last updated

Was this helpful?